💾 Archived View for gemini.ctrl-c.club › ~phoebos › logs › freenode-kisslinux-2019-12-05.txt captured on 2024-06-16 at 13:52:55.

View Raw

More Information

⬅️ Previous capture (2021-12-17)

-=-=-=-=-=-=-

2019-12-05T00:04:09 #kisslinux <E5ten> Same can be done for $pass in auth()
2019-12-05T00:04:49 #kisslinux <dylanaraps> Didn't work when I tried it.
2019-12-05T00:05:19 #kisslinux <dylanaraps> You mean adding it to the printf line?
2019-12-05T00:12:11 #kisslinux <E5ten> No I mean changing $pass in the printf line to ${pass:?<error message>} in that line
2019-12-05T00:12:44 #kisslinux <E5ten> So that you don't have to [ "$pass" ]
2019-12-05T00:13:11 #kisslinux <dylanaraps> I tried that..
2019-12-05T00:13:49 #kisslinux <dylanaraps> Doesn't work if the variable is defined but blank.
2019-12-05T00:14:09 #kisslinux <E5ten> Are you sure you have the :
2019-12-05T00:14:24 #kisslinux <E5ten> Cuz ? Is supposed to only trigger on unset but :? Is blank or unset
2019-12-05T00:15:26 #kisslinux <dylanaraps> Ah
2019-12-05T00:15:28 #kisslinux <dylanaraps> fuk
2019-12-05T00:15:52 #kisslinux <dylanaraps> I knew that too
2019-12-05T00:15:57 #kisslinux <dylanaraps> How could I forget
2019-12-05T00:18:01 #kisslinux <dylanaraps> Also: https://github.com/dylanaraps/eiwd/releases/tag/0.2.1
2019-12-05T00:19:14 #kisslinux <E5ten> Awesome
2019-12-05T00:19:50 #kisslinux <dylanaraps> Everything in the client should "just work" now.
2019-12-05T00:25:26 #kisslinux <E5ten> [ -w "${IWD_DIR:=/var/lib/id}" ] ;)
2019-12-05T00:25:41 #kisslinux <E5ten> s/id/iwd/
2019-12-05T00:25:53 #kisslinux <dylanaraps> ah fuck
2019-12-05T00:26:10 #kisslinux <dylanaraps> wait
2019-12-05T00:26:19 #kisslinux <dylanaraps> I thought I typo'd that.
2019-12-05T00:26:24 #kisslinux <dylanaraps> phew
2019-12-05T00:26:59 #kisslinux <dylanaraps> I need sleep
2019-12-05T00:27:10 #kisslinux <E5ten> sleep is a good thing
2019-12-05T00:27:55 #kisslinux <dylanaraps> 133 LOC is pretty darn good
2019-12-05T00:28:30 #kisslinux <dylanaraps> This includes the help output too.
2019-12-05T00:29:03 #kisslinux <dylanaraps> A man page with a minimal help output would reduce it a lot further.
2019-12-05T00:29:39 #kisslinux <dylanaraps> Would be 100 LOC then :^)
2019-12-05T00:30:27 #kisslinux <E5ten> does iwd have subdirs for network configs? (like is that the reason find is used?)
2019-12-05T00:31:21 #kisslinux <dylanaraps> Nope. This is to allow you to operate on networks under disconnect/
2019-12-05T00:31:33 #kisslinux <E5ten> ah
2019-12-05T00:31:35 #kisslinux <dylanaraps> It could be a for loop though.
2019-12-05T00:36:18 #kisslinux <dylanaraps> OK
2019-12-05T00:36:20 #kisslinux <dylanaraps> Bed for me
2019-12-05T00:36:23 #kisslinux <dylanaraps> Ciao
2019-12-05T00:40:04 #kisslinux <E5ten> it's funny how in configure.ac they check for stuff like the existence of headers linux/types.h and linux/if_alg.h, which causes the generated config.h to have defines like HAVE_LINUX_TYPES_H, but the build system does nothing to error if the checks for those headers fail, and it doesn't ifdef based on those definitions, so uh, how is checking if those things are present useful at all?
2019-12-05T00:55:44 #kisslinux <Crestwave> Required builtins are basically required POSIX utilities that have to be builtin for their functionality
2019-12-05T00:55:57 #kisslinux <Crestwave> printf doesn't need to be a builtin, hence its not required
2019-12-05T00:56:52 #kisslinux <Crestwave> Of course, any performance-aware shell would make it builtin, so POSIX doesn't care about it not being necessary so some pure shell scripters can be truly pure :P
2019-12-05T00:57:09 #kisslinux <Crestwave> It would be cool if it got `printf -v var`, thus making it a required builtin, though
2019-12-05T00:58:56 #kisslinux <Crestwave> Shell is basically meant for running external utilities, so POSIX likely doesn't care that it doesn't have anything builtin to print with, either, as long as there's an external required utility that does it
2019-12-05T00:58:59 #kisslinux <Crestwave> Same goes for sleep and echo
2019-12-05T01:00:37 #kisslinux <Crestwave> Are you sure that you really mean to trap INT (thus overriding the default handling of exiting) in pash and iwc?
2019-12-05T01:02:01 #kisslinux <Crestwave> Hm so actually it seems that EXIT doesn't get triggered by INT in dash?
2019-12-05T01:03:01 #kisslinux <Crestwave> Doesn't change the fact that it prevents INT from killing the script, though. maybe trap 'blah; kill 0' INT EXIT?
2019-12-05T01:10:16 #kisslinux <Crestwave> Or trap 'blah' EXIT; trap 'blah; kill 0' INT if you don't like "Terminated" to appear on a normal exit
2019-12-05T01:25:08 #kisslinux <Crestwave> Okay, so apparently when EXIT should be triggered is mostly unspecified by POSIX so it's a mess
2019-12-05T01:26:57 #kisslinux <Crestwave> Shells like Bash (even in POSIX mode, because it's unspecified) trigger EXIT on other signals, but shells like dash and ash don't
2019-12-05T01:27:49 #kisslinux <Crestwave> Since they don't, there's no way I can think of currently to run a cleanup function and exit on exit, sigterm, and sigint
2019-12-05T01:28:16 #kisslinux <Crestwave> At least not without messing with sigquit and such
2019-12-05T01:28:50 #kisslinux <Crestwave> So the best you can do is probably the method to run it on exit and int I mentioned above, I guess?
2019-12-05T01:32:06 #kisslinux <Crestwave> Oh wait exit seems to work on term? This is so confusing
2019-12-05T01:34:08 #kisslinux <Crestwave> So `trap 'blah; trap - EXIT; exit' INT EXIT TERM` seems to work. Not sure where I got the idea that exit didn't work in the trap, though
2019-12-05T01:37:56 #kisslinux <Crestwave> Seems that that preserves the exit code on dash and bash, but not ash.
2019-12-05T01:39:37 #kisslinux <Crestwave> Yeah, so `trap 'rc=$?; echo aa; trap - EXIT; exit "$rc"' INT EXIT TERM` might be it
2019-12-05T01:41:28 #kisslinux <Crestwave> Nope
2019-12-05T01:42:17 #kisslinux <Crestwave> trap 'rc=$?; trap - 0 2 15; echo a; exit "$rc"' 0 2 15
2019-12-05T01:42:45 #kisslinux <Crestwave> You can use the words instead of numbers, they just got too long for me
2019-12-05T01:47:59 #kisslinux <Crestwave> Ah, the problem with exit was probably because I didn't overwrite the exit trap before or something
2019-12-05T01:48:53 #kisslinux <Crestwave> Yet another edge case. Ugh
2019-12-05T01:49:37 #kisslinux <Crestwave> trap 'rc=$?; echo a; trap - 0 15; echo $rc' 0 15; trap 'trap - 2; echo a; kill -s 2 $' 2
2019-12-05T01:50:12 #kisslinux <Crestwave> s/echo $rc/exit $rc/
2019-12-05T01:53:59 #kisslinux <Crestwave> trap 'rc=$?; trap - 0 15; echo a; exit $rc' 0 15; trap 'trap - 2; echo a; kill -s 2 $' 2
2019-12-05T01:54:04 #kisslinux <Crestwave> I think that's finally it but it's also so long I'm not sure if you'll even use it lol
2019-12-05T02:55:29 #kisslinux <mforney> now chatting over https://git.sr.ht/~mcf/libtls-bearssl :D
2019-12-05T04:07:41 #kisslinux <Crestwave> trap 'rc=$?; echo a; trap - 0 15; exit $rc' 0 15; trap 'trap "" 2; kill -s 2 $' 2
2019-12-05T04:08:23 #kisslinux <Crestwave> Honestly, you don't really need to cover all the edge cases for a program like that, so one of the previous solutions could work fine. I was just curious how to do this, and this seems to work, although I've said that so many times by now
2019-12-05T07:54:29 #kisslinux <konimex> https://blogs.gnome.org/tbernard/2019/12/04/there-is-no-linux-platform-1/
2019-12-05T07:54:34 #kisslinux <konimex> and here we go...
2019-12-05T08:03:22 #kisslinux <E5ten> I love it when groups like GNOME fail to understand that linux is nice because it isn't like mac and windows
2019-12-05T08:04:04 #kisslinux <E5ten> "hey guys so we know you've got this cool operating system but what if we intentionally made it more like those other 2 that you don't like?"
2019-12-05T08:59:49 #kisslinux <dylanaraps> E5ten: IMB (Red Hat) in reality. https://www.redhat.com/archives/fedora-devel-list/2008-January/msg00861.html
2019-12-05T09:08:26 #kisslinux <dylanaraps> > Other distributions are in a similar but worse position because they don’t have an app store.
2019-12-05T09:08:40 #kisslinux <dylanaraps> Oh the horror
2019-12-05T09:10:08 #kisslinux <dzove855> haha i really don't see why poeple try to create a difference between "app" and "software", sometimes they don't know them self what a difference is...
2019-12-05T09:11:29 #kisslinux <dzove855> s/a/the/
2019-12-05T09:11:43 #kisslinux <dzove855> and the discussion about that is just annoying and don't make any kind of sense
2019-12-05T09:11:48 #kisslinux <dylanaraps> Yup
2019-12-05T09:11:55 #kisslinux <dylanaraps> Crestwave: Would this not work? https://termbin.com/oh1j9
2019-12-05T09:13:46 #kisslinux <dylanaraps> For Linux to become this magical thing every distributions needs to be the exact same.
2019-12-05T09:13:53 #kisslinux <dylanaraps> I point back to this: https://www.redhat.com/archives/fedora-devel-list/2008-January/msg00861.html
2019-12-05T09:14:19 #kisslinux <dylanaraps> s/distributions/distribution/
2019-12-05T09:17:31 #kisslinux <dylanaraps> > Release schedule: Developers don’t have control over the pace at which people get updates to their software.
2019-12-05T09:17:39 #kisslinux <dylanaraps> ew
2019-12-05T09:21:59 #kisslinux <konimex> app is just a glorified term for software, it's goddamn Apple-speak
2019-12-05T09:23:07 #kisslinux <dylanaraps> > Distro Theming
2019-12-05T09:23:09 #kisslinux <dylanaraps> hhahahah
2019-12-05T09:24:42 #kisslinux <dylanaraps> > Ecosystem fragmentation: Every downstream change adds yet another variable app developers need to test for. The more distributions do it, the worse it gets.
2019-12-05T09:24:49 #kisslinux <dylanaraps> > fragmentation
2019-12-05T09:24:52 #kisslinux <dylanaraps> lol
2019-12-05T09:24:56 #kisslinux <E5ten> I don't have a problem with the word app unless it's being used non-interchangeably with software
2019-12-05T09:26:10 #kisslinux <konimex> the GNOME people say "standardization" when they really meant "use our implementation, fuck you"
2019-12-05T09:26:32 #kisslinux <dzove855> konimex: +1
2019-12-05T09:26:36 #kisslinux <konimex> by their logic Clang is "fragmentation"
2019-12-05T09:28:27 #kisslinux <dylanaraps> App store implies payments to me
2019-12-05T09:28:32 #kisslinux <E5ten> The freedesktop way is making an program and then calling that programs behaviour a standard
2019-12-05T09:28:44 #kisslinux <dylanaraps> Also implies solely flatpak based packages
2019-12-05T09:28:46 #kisslinux <dylanaraps> ie Windows
2019-12-05T09:31:52 #kisslinux <dzove855> they're trying just to become more user friendly, to win the battle of user desktops/laptops, instead of focusing on the server environment, which an "app" doesn't make any sense. It's the same with docker and the rest, it's good, but not every where, and poeple are tryin'g to force other to put it everywhere, which remove the liberty of linux based distros
2019-12-05T09:33:09 #kisslinux <dylanaraps> Every distribution will run the same software stack (if they aren't all already).
2019-12-05T09:33:22 #kisslinux <dylanaraps> It's the only way for this idea to work.
2019-12-05T09:34:17 #kisslinux <dylanaraps> glibc + systemd + dbus + pulseaudio (soon pipewire) + wayland + logind + udev + etc etc
2019-12-05T09:42:11 #kisslinux <E5ten> What's pipewire?
2019-12-05T09:42:24 #kisslinux <dylanaraps> Red Hat's replacement for Red Hat's pulseaudio.
2019-12-05T09:42:32 #kisslinux <dylanaraps> Because we need to change audio again.
2019-12-05T09:42:56 #kisslinux <dylanaraps> But it's OK because pipewire can run on top of Pulse if desired.
2019-12-05T09:43:04 #kisslinux <dylanaraps> So ALSA -> PulseAudio -> Pipewire
2019-12-05T09:43:12 #kisslinux <dylanaraps> You can also run:
2019-12-05T09:43:15 #kisslinux <E5ten> Oh sounds greattttt
2019-12-05T09:43:17 #kisslinux <dzove855> haha holy crap
2019-12-05T09:43:20 #kisslinux <dylanaraps> ALSA -> Jack -> PulseAudio -> Pipewire
2019-12-05T09:43:25 #kisslinux <dylanaraps> This is doable too.
2019-12-05T09:43:38 #kisslinux <dylanaraps> 10/10 right?
2019-12-05T09:44:05 #kisslinux <dylanaraps> Arch ships both pulse and pipewire now so the first stack is running.
2019-12-05T09:55:53 #kisslinux <dylanaraps> brb
2019-12-05T10:16:45 #kisslinux <belfry> howdy
2019-12-05T10:16:56 #kisslinux <belfry> are we stacking audio again? :D
2019-12-05T10:17:13 #kisslinux <belfry> I am pretty sure, you can insert sndio in there somewhere
2019-12-05T10:24:19 #kisslinux <Crestwave> dylanaraps: Well, it doesn't handle TERM and runs twice on INT, but again, it could be fine for that usecase.
2019-12-05T10:25:58 #kisslinux <Crestwave> Oh, and if it's called from a Bash script, INT will only terminate it and not the Bash script
2019-12-05T10:28:20 #kisslinux <Crestwave> E.g., you can see the difference between `while ping localhost; do :; done` and `while sleep 1; do :; done`
2019-12-05T10:28:52 #kisslinux <Crestwave> Basically impossible to interrupt the former
2019-12-05T16:09:31 #kisslinux <belfry> what would you lads recommend for cli file manager?
2019-12-05T16:09:57 #kisslinux <belfry> i usually just do my stuff over cli by hand, but turns out using a file-manager with kakoune might be useful
2019-12-05T16:10:10 #kisslinux <Shyiskhar> fff.
2019-12-05T16:10:13 #kisslinux <Shyiskhar> Or Ranger.
2019-12-05T16:10:19 #kisslinux <belfry> i am looking for something that can do well on low-width and supports custom open command for files
2019-12-05T16:10:31 #kisslinux <belfry> so I can use it as a sidebar for a kak session
2019-12-05T16:10:53 #kisslinux <belfry> ranger looks odd on low width, I tried, don't know fff though, will check
2019-12-05T16:13:23 #kisslinux <Shyiskhar> I think fff would look okay low width. But yeah. You'd have to check. I don't tend to use file managers often.
2019-12-05T16:13:55 #kisslinux <belfry> yea, me neither
2019-12-05T16:14:06 #kisslinux <belfry> but fff does look pretty neat
2019-12-05T16:14:27 #kisslinux <belfry> also investigated noice, which appears to pretty much be a dumber fff
2019-12-05T16:14:35 #kisslinux <belfry> more suckless fff*
2019-12-05T16:15:08 #kisslinux <belfry> dylanaraps: oh, you are responsible for fff :D awesome
2019-12-05T16:16:04 #kisslinux <belfry> i'm starting to like the stuff you do, dylan :D
2019-12-05T16:19:41 #kisslinux <E5ten> dylanaraps: fff also leaves me unable to press enter when I exit it :(
2019-12-05T16:35:31 #kisslinux <belfry> doesn't happen to me huh
2019-12-05T17:37:01 #kisslinux <dylanaraps> E5ten: Will fix it tomorrow (regarding fff)
2019-12-05T17:37:38 #kisslinux <dylanaraps> belfry: Thanks :)
2019-12-05T17:38:22 #kisslinux <dylanaraps> Crestwave: I'll fix these issues tomorrow too (trap int/term/exit).
2019-12-05T17:52:06 #kisslinux <andrevallestero[> Does kiss use busybox ash for its default shell?
2019-12-05T17:52:33 #kisslinux <stee> andrevall: yes
2019-12-05T18:54:34 #kisslinux <dylanaraps> > cat /proc/sys/net/ipv4/conf/default/rp_filter
2019-12-05T18:54:36 #kisslinux <dylanaraps> oops
2019-12-05T18:54:39 #kisslinux <dylanaraps> > https://seclists.org/oss-sec/2019/q4/122
2019-12-05T18:54:44 #kisslinux <dylanaraps> That's the one
2019-12-05T18:55:45 #kisslinux <dylanaraps> > his attack did not work against any Linux distribution we tested until
2019-12-05T18:55:47 #kisslinux <dylanaraps> the release of Ubuntu 19.10, and we noticed that the rp_filter settings
2019-12-05T18:55:50 #kisslinux <dylanaraps> were set to “loose” mode. We see that the default settings in
2019-12-05T18:55:51 #kisslinux <dylanaraps> sysctl.d/50-default.conf in the systemd repository were changed from
2019-12-05T18:55:54 #kisslinux <dylanaraps> “strict” to “loose” mode on November 28, 2018, so distributions using a
2019-12-05T18:55:55 #kisslinux <dylanaraps> version of systemd without modified configurations after this date are
2019-12-05T18:55:58 #kisslinux <dylanaraps> now vulnerable. Most Linux distributions we tested which use other init
2019-12-05T18:55:59 #kisslinux <dylanaraps> systems leave the value as 0, the default for the Linux kernel.
2019-12-05T18:56:02 #kisslinux <dylanaraps> s/his/This/
2019-12-05T18:57:44 #kisslinux <dylanaraps> Interestingly Devuan, MX Linux, Slackware and Void were also affected.
2019-12-05T19:01:22 #kisslinux <dylanaraps> In KISS this depends on how you've configured your kernel. If you have manually set rp_filter to "loose" you're in the same boat as the above distributions when using a VPN.
2019-12-05T19:01:36 #kisslinux <dylanaraps> Regardless, this only protects against ipv4.
2019-12-05T19:02:42 #kisslinux <dylanaraps> So all distributions are affected over ipv6.
2019-12-05T19:04:22 #kisslinux <dylanaraps> >  Correct. It does completely prevent the attack for IPv4, however, so we didn't notice the attack until the rp_filter settings were changed.
2019-12-05T19:04:30 #kisslinux <dylanaraps> https://news.ycombinator.com/item?id=21713821
2019-12-05T19:17:15 #kisslinux <E5ten> thanks systemd
2019-12-05T19:17:24 #kisslinux <E5ten> good setting choice
2019-12-05T19:18:08 #kisslinux <dylanaraps> gpg2 --locate-keys torvalds⊙ko gregkh⊙ko
2019-12-05T19:18:10 #kisslinux <dylanaraps> oops
2019-12-05T19:18:14 #kisslinux <dylanaraps> https://github.com/systemd/systemd/commit/230450d4e4f1f5fc9fa4295ed9185eea5b6ea16e
2019-12-05T19:25:33 #kisslinux <dylanaraps> No distros have posted anything publicly about it yet(?)
2019-12-05T19:25:37 #kisslinux <dylanaraps> Or I can't find anything.
2019-12-05T19:26:31 #kisslinux <dylanaraps> >  They edited their comment to clarify that only strict mode ("2") prevents the attack, against IPv4.
2019-12-05T19:26:49 #kisslinux <dylanaraps> So the kernel default is vulnerable after all.
2019-12-05T19:28:02 #kisslinux <E5ten> isn't strict 1?
2019-12-05T19:28:32 #kisslinux <dylanaraps> Let me check. Default in the kernel is 0 regardless.
2019-12-05T19:31:19 #kisslinux <dylanaraps> Yes
2019-12-05T19:31:26 #kisslinux <dylanaraps> 2 is loose. 1 is strict. 0 is off.
2019-12-05T19:31:44 #kisslinux <E5ten> I've been protected on ipv4 this entire time then, suck it, the rest of the world mostly
2019-12-05T19:32:09 #kisslinux <dylanaraps> I don't use a VPN so I'm fine regardless.
2019-12-05T19:32:54 #kisslinux <dylanaraps> Even if I did, I'm on ipv6 so I'd be vulnerable as rp_filter only affects ipv4.
2019-12-05T19:33:11 #kisslinux <E5ten> neither do I, but if I did, I'd have been protected on ipv4, so suck it, the rest of the world mostly 😏
2019-12-05T19:33:17 #kisslinux <dylanaraps> Heh
2019-12-05T19:33:40 #kisslinux <dylanaraps> I expect a kernel release soonish as I doubt this can be fixed in VPN software(?)
2019-12-05T19:33:57 #kisslinux <E5ten> well maybe wireguard cuz it's a kernel module?
2019-12-05T19:34:28 #kisslinux <dylanaraps> Wireguard, yeah
2019-12-05T19:34:36 #kisslinux <dylanaraps> OpenVPN probably not
2019-12-05T19:39:42 #kisslinux <E5ten> oh shit I forgot to cmake
2019-12-05T19:39:51 #kisslinux <E5ten> I'm tired and lazy I'll do it later
2019-12-05T19:39:59 #kisslinux <dylanaraps> No rush